$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.9.0/sfk189.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.9.0/sfk189.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = 'a378d1a70deed7b45592a86b2f0995590d4a92050b71fd991be3290b94c74f0d'
  checksumType  = 'sha256'
  checksum64    = 'a378d1a70deed7b45592a86b2f0995590d4a92050b71fd991be3290b94c74f0d'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
